Update a skill

patch/v1/skills/{skill_id}

Partial update. Updatable: name, description (null to clear), body, visibility. kind is immutable.

Requires a bearer token: Authorization: Bearer <token>.

Path parameters

NameTypeRequiredDescription
skill_idstring <uuid>YesSkillId.e.g. 00000000-0000-4000-8000-000000000000

Request

cURL
curl -X PATCH https://api.wellapp.ai/v1/skills/{skill_id} \
  -H "Authorization: Bearer $WELL_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "data": {
    "type": "skill",
    "attributes": {
      "visibility": "public"
    }
  }
}'
Request body
{
  "data": {
    "type": "skill",
    "attributes": {
      "visibility": "public"
    }
  }
}

Responses

200Updated skill.

{
  "data": {
    "type": "skill",
    "id": "a1…",
    "attributes": {
      "visibility": "public"
    },
    "relationships": {
      "source_thread": {
        "data": {
          "type": "ManyToOne",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      },
      "created_by": {
        "data": {
          "type": "ManyToOne",
          "id": "00000000-0000-4000-8000-000000000001"
        }
      }
    }
  }
}

400Validation error.

{
  "code": "BAD_REQUEST",
  "status": 400,
  "title": "Bad Request",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}

401Unauthorized.

{
  "code": "UNAUTHORIZED",
  "status": 401,
  "title": "Unauthorized",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}

404Not found.

{
  "code": "NOT_FOUND",
  "status": 404,
  "title": "Not Found",
  "message": "See title.",
  "meta": {
    "trace_id": "a1b2c3",
    "log_id": "a1b2c3"
  }
}